/* tslint:disable */
/* eslint-disable */
/**
 * FastAPI
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import { PbDependency } from './pb-dependency';
// May contain unused imports in some cases
// @ts-ignore
import { Script } from './script';

/**
 * Class to hold ProcessingBlock configuration
 * @export
 * @interface ProcessingBlock
 */
export interface ProcessingBlock {
    /**
     * 
     * @type {string}
     * @memberof ProcessingBlock
     */
    'pb_id': string;
    /**
     * 
     * @type {Script}
     * @memberof ProcessingBlock
     */
    'script': Script;
    /**
     * 
     * @type {Array<string>}
     * @memberof ProcessingBlock
     */
    'sbi_refs'?: Array<string>;
    /**
     * 
     * @type {object}
     * @memberof ProcessingBlock
     */
    'parameters'?: object;
    /**
     * 
     * @type {Array<PbDependency>}
     * @memberof ProcessingBlock
     */
    'dependencies'?: Array<PbDependency>;
}

